Bug 925993 - (ghc-yesod-core) Review Request: ghc-yesod-core - Yesod core library
Review Request: ghc-yesod-core - Yesod core library
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliott Sales de Andrade
Fedora Extras Quality Assurance
: Reopened
Depends On: 1497030 630276 984791 ghc-cookie ghc-monad-logger ghc-yesod-routes ghc-shakespeare-i18n ghc-shakespeare-css ghc-shakespeare-js
Blocks: 985082 998552 1491457 1509937 630303 yesod-platform
  Show dependency treegraph
 
Reported: 2013-03-23 00:51 EDT by Jens Petersen
Modified: 2017-11-18 18:51 EST (History)
2 users (show)

See Also:
Fixed In Version: ghc-yesod-core-1.4.37-1.fc28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
quantum.analyst: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-03-23 00:51:32 EDT
Spec: http://petersen.fedorapeople.org/reviews/ghc-yesod-core/ghc-yesod-core.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-yesod-core/ghc-yesod-core-1.1.8.2-1.fc18.src.rpm
Description: Yesod web framework core modules
Fedora Account System Username: petersen
Comment 1 Jens Petersen 2013-03-23 01:13:44 EDT
Also needs path-pieces, shakespeare-css, shakespeare-i18n, shakespeare-js, and yesod-routes.
Comment 2 Jens Petersen 2013-06-24 06:25:44 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!
Comment 4 Jens Petersen 2013-07-16 01:20:38 EDT
Also needs shakespeare-{css,i18n,js}
Comment 5 Jens Petersen 2017-01-05 01:15:48 EST
I think better to setup a copr repo for Yesod (and other stacks too).

(Still missing direct dep on clientsession, but just having yesod-core
Fedora makes little sense.)
Comment 6 Elliott Sales de Andrade 2017-08-23 23:03:26 EDT
I can take this review when clientsession is available. The spec is for an outdated version though.
Comment 7 Elliott Sales de Andrade 2017-10-04 20:16:03 EDT
clientsession is now available in Rawhide if you can update this.

This review is for an outdated version at the moment.
Comment 9 Elliott Sales de Andrade 2017-10-24 03:21:46 EDT
Oops, sorry I missed this earlier. Unfortunately, it's one version out of date now.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2273280 bytes in 58 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 70 files have
     unknown license. Detailed output of licensecheck in
     review/925993-ghc-yesod-core/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2334720 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-yesod-core-1.4.36-1.fc28.x86_64.rpm
          ghc-yesod-core-devel-1.4.36-1.fc28.x86_64.rpm
          ghc-yesod-core-1.4.36-1.fc28.src.rpm
ghc-yesod-core.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-yesod-core.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-yesod-core.x86_64: W: spelling-error %description -l en_US stackage -> stack age, stack-age, backstage
ghc-yesod-core.x86_64: W: no-documentation
ghc-yesod-core.src: W: spelling-error %description -l en_US http -> HTTP
ghc-yesod-core.src: W: spelling-error %description -l en_US www -> WWW, wow
ghc-yesod-core.src: W: spelling-error %description -l en_US stackage -> stack age, stack-age, backstage
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ghc-yesod-core.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-yesod-core.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-yesod-core.x86_64: W: spelling-error %description -l en_US stackage -> stack age, stack-age, backstage
ghc-yesod-core.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
ghc-yesod-core-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-compiler
    ghc-devel(aeson-1.0.2.1-727tGRvxuFPI4K1AyXoIrt)
    ghc-devel(auto-update-0.1.4-EmUvNdmhEju51bHrtaEMpz)
    ghc-devel(base-4.9.1.0)
    ghc-devel(blaze-builder-0.4.0.2-Chs7nQ4Qyy3Dg6EW0im6Kk)
    ghc-devel(blaze-html-0.8.1.3-4GC9ZrWsvleFkiwXhsHB3o)
    ghc-devel(blaze-markup-0.7.1.1-BiS8Ue09EMkGrAxkHLxlgn)
    ghc-devel(byteable-0.1.1-2lU1pexQSLj1KbNO17UifQ)
    ghc-devel(bytestring-0.10.8.1)
    ghc-devel(case-insensitive-1.2.0.8-1Ks4sMDdgOS2sugdUOoG2m)
    ghc-devel(cereal-0.5.4.0-BsAGxfp8yAs3CiRo2E875e)
    ghc-devel(clientsession-0.9.1.2-73gAXFmphElGJjwPvnTFrw)
    ghc-devel(conduit-1.2.9-KyEH1gT2SFlFXLffDx2XOT)
    ghc-devel(conduit-extra-1.1.15-E618f3Ee8ucAc6qnMdY0db)
    ghc-devel(containers-0.5.7.1)
    ghc-devel(cookie-0.4.2.1-tr17k2t0N857PhKWvBf07)
    ghc-devel(data-default-0.7.1.1-7EGYJX2YWqWJRbPFUHNoCr)
    ghc-devel(deepseq-1.4.2.0)
    ghc-devel(deepseq-generics-0.2.0.0-IjS8Jfo7YCzLKpV8N96gbz)
    ghc-devel(directory-1.3.0.0)
    ghc-devel(exceptions-0.8.3-ADEDRATtUrMK1JW4zMQ9U)
    ghc-devel(fast-logger-2.4.10-7pyUB3yOtP8HXEahkbkrds)
    ghc-devel(http-types-0.9.1-8UHFRKjjMv4ECejpDfDj8j)
    ghc-devel(lifted-base-0.2.3.10-BoEavBFIcriDza63doCjS2)
    ghc-devel(monad-control-1.0.1.0-LQwQ0Hi5p0oAccTfTzbfD5)
    ghc-devel(monad-logger-0.3.20.2-IR76dfKxbf7DzcklGZVa9y)
    ghc-devel(mtl-2.2.1-BLKBelFsPB3BoFeSWSOYj6)
    ghc-devel(mwc-random-0.13.5.0-Dp3Ri46ZxJuCFZWIowNqha)
    ghc-devel(old-locale-1.0.0.7-KGBP1BSKxH5GCm0LnZP04j)
    ghc-devel(parsec-3.1.11-8RyPB3SGixcIZrsPWwkXoj)
    ghc-devel(path-pieces-0.2.1-IRpJTFkhTfh6f4ss6nLJOw)
    ghc-devel(primitive-0.6.1.0-6AbSTw9JXz141LE5p6LGH)
    ghc-devel(random-1.1-9tceXaeYIMZ4JrKq20Egog)
    ghc-devel(resourcet-1.1.9-Ej57FoSD8NQLck5u9CwWz8)
    ghc-devel(safe-0.3.14-GsbXn9D9F3BDazVNcErzdQ)
    ghc-devel(semigroups-0.18.2-GvTCUro9Hym1wGKOLNRfUA)
    ghc-devel(shakespeare-2.0.12.1-24fNuDY9ewh4xOZt5Locij)
    ghc-devel(template-haskell-2.11.1.0)
    ghc-devel(text-1.2.2.1-FwvWBfkNJh1I1NMMegz0uY)
    ghc-devel(time-1.6.0.1)
    ghc-devel(transformers-0.5.2.0)
    ghc-devel(transformers-base-0.4.4-GKSs0LKukAL8ymq2naFmrH)
    ghc-devel(unix-compat-0.4.3.1-Ausmw6d7KIwA7sl52mzqxC)
    ghc-devel(unordered-containers-0.2.7.2-CCGHIBvU8ua1YYN1Bs8HVt)
    ghc-devel(vector-0.11.0.0-LMwQhhnXj8U3T5Bm1JFxG)
    ghc-devel(wai-3.2.1.1-Lx293U3FyLnDNnL1Yr1RVq)
    ghc-devel(wai-extra-3.0.19.1-1WSFVUQk04xJnkPrsoWWwJ)
    ghc-devel(wai-logger-2.3.0-FOUe7BsfIlX5fHZzP4rGKX)
    ghc-devel(warp-3.2.13-UD61q2TezUKDvREXleNts)
    ghc-devel(word8-0.1.2-9WDPGCTpW7JJnsiAQavtd1)
    ghc-yesod-core(x86-64)

ghc-yesod-core (rpmlib, GLIBC filtered):
    libHSaeson-1.0.2.1-727tGRvxuFPI4K1AyXoIrt-ghc8.0.2.so()(64bit)
    libHSansi-terminal-0.6.2.3-4HPxin1iv6RAndS8lH3nzo-ghc8.0.2.so()(64bit)
    libHSappar-0.1.4-DGWHHt2WRn9FI49prcwO9-ghc8.0.2.so()(64bit)
    libHSarray-0.5.1.1-ghc8.0.2.so()(64bit)
    libHSasync-2.1.1-4n6HEMPJR2eJK0JpvCfuPK-ghc8.0.2.so()(64bit)
    libHSattoparsec-0.13.1.0-G3BhdDx0nS3HUOq0M94zE6-ghc8.0.2.so()(64bit)
    libHSauto-update-0.1.4-EmUvNdmhEju51bHrtaEMpz-ghc8.0.2.so()(64bit)
    libHSbase-4.9.1.0-ghc8.0.2.so()(64bit)
    libHSbase-compat-0.9.1-B9geVZFtCvE8ERS7UcvkRz-ghc8.0.2.so()(64bit)
    libHSbase64-bytestring-1.0.0.1-4O9TExPPz6eI82Yj7L4SIj-ghc8.0.2.so()(64bit)
    libHSbinary-0.8.3.0-ghc8.0.2.so()(64bit)
    libHSblaze-builder-0.4.0.2-Chs7nQ4Qyy3Dg6EW0im6Kk-ghc8.0.2.so()(64bit)
    libHSblaze-html-0.8.1.3-4GC9ZrWsvleFkiwXhsHB3o-ghc8.0.2.so()(64bit)
    libHSblaze-markup-0.7.1.1-BiS8Ue09EMkGrAxkHLxlgn-ghc8.0.2.so()(64bit)
    libHSbyteable-0.1.1-2lU1pexQSLj1KbNO17UifQ-ghc8.0.2.so()(64bit)
    libHSbyteorder-1.0.4-9NlNHkBVdo7F1prFVKrkcH-ghc8.0.2.so()(64bit)
    libHSbytestring-0.10.8.1-ghc8.0.2.so()(64bit)
    libHScase-insensitive-1.2.0.8-1Ks4sMDdgOS2sugdUOoG2m-ghc8.0.2.so()(64bit)
    libHScereal-0.5.4.0-BsAGxfp8yAs3CiRo2E875e-ghc8.0.2.so()(64bit)
    libHScipher-aes-0.2.11-58pv1o4yiCkBrbdAweNPRA-ghc8.0.2.so()(64bit)
    libHSclientsession-0.9.1.2-73gAXFmphElGJjwPvnTFrw-ghc8.0.2.so()(64bit)
    libHSconduit-1.2.9-KyEH1gT2SFlFXLffDx2XOT-ghc8.0.2.so()(64bit)
    libHSconduit-extra-1.1.15-E618f3Ee8ucAc6qnMdY0db-ghc8.0.2.so()(64bit)
    libHScontainers-0.5.7.1-ghc8.0.2.so()(64bit)
    libHScookie-0.4.2.1-tr17k2t0N857PhKWvBf07-ghc8.0.2.so()(64bit)
    libHScprng-aes-0.6.1-Iqhpbh6qSYuLd90MapLOSX-ghc8.0.2.so()(64bit)
    libHScrypto-api-0.13.2-IETueZuD8kB6D6D3e0Qo1q-ghc8.0.2.so()(64bit)
    libHScrypto-cipher-types-0.0.9-CAb7rIxButPEeZxdFJZmUX-ghc8.0.2.so()(64bit)
    libHScrypto-random-0.0.9-EL5qpuwNGji3iwO33JR6eS-ghc8.0.2.so()(64bit)
    libHSdata-default-0.7.1.1-7EGYJX2YWqWJRbPFUHNoCr-ghc8.0.2.so()(64bit)
    libHSdata-default-class-0.1.2.0-GsXqKN6o1X9jr0fF5qCVD-ghc8.0.2.so()(64bit)
    libHSdata-default-instances-containers-0.0.1-bob6IQGdJq92c061H46zK-ghc8.0.2.so()(64bit)
    libHSdata-default-instances-dlist-0.0.1-FKnZBeovJMk4M89wQxDhjl-ghc8.0.2.so()(64bit)
    libHSdata-default-instances-old-locale-0.0.1-9zaGDEmgOixKkmLylWdN5l-ghc8.0.2.so()(64bit)
    libHSdeepseq-1.4.2.0-ghc8.0.2.so()(64bit)
    libHSdeepseq-generics-0.2.0.0-IjS8Jfo7YCzLKpV8N96gbz-ghc8.0.2.so()(64bit)
    libHSdirectory-1.3.0.0-ghc8.0.2.so()(64bit)
    libHSdlist-0.8.0.2-6Wnps4GD7EFnRucVzXIFD-ghc8.0.2.so()(64bit)
    libHSeasy-file-0.2.1-rguMBNaECxLikt4CCDx0D-ghc8.0.2.so()(64bit)
    libHSentropy-0.3.7-GVoReSVE1cZ4Y1pKgzhBYO-ghc8.0.2.so()(64bit)
    libHSexceptions-0.8.3-ADEDRATtUrMK1JW4zMQ9U-ghc8.0.2.so()(64bit)
    libHSfast-logger-2.4.10-7pyUB3yOtP8HXEahkbkrds-ghc8.0.2.so()(64bit)
    libHSfilepath-1.4.1.1-ghc8.0.2.so()(64bit)
    libHSfoundation-0.0.13-G4GHWkMwmXnF7HKMtT8vGa-ghc8.0.2.so()(64bit)
    libHSghc-boot-th-8.0.2-ghc8.0.2.so()(64bit)
    libHSghc-prim-0.5.0.0-ghc8.0.2.so()(64bit)
    libHShashable-1.2.5.0-3jyU6ITgVDsZjJvM61wsx-ghc8.0.2.so()(64bit)
    libHShttp-date-0.0.6.1-3GdRclsSolfJcDf3N1R5w1-ghc8.0.2.so()(64bit)
    libHShttp-types-0.9.1-8UHFRKjjMv4ECejpDfDj8j-ghc8.0.2.so()(64bit)
    libHShttp2-1.6.3-JjqAKXwB0vD6XA3txNlcjl-ghc8.0.2.so()(64bit)
    libHSinteger-gmp-1.0.0.1-ghc8.0.2.so()(64bit)
    libHSinteger-logarithms-1.0.1-IEHCuEd5sG4JjSjlx7m5JF-ghc8.0.2.so()(64bit)
    libHSiproute-1.7.1-4HULutk0xITKNjI1pwYrD4-ghc8.0.2.so()(64bit)
    libHSlifted-base-0.2.3.10-BoEavBFIcriDza63doCjS2-ghc8.0.2.so()(64bit)
    libHSmemory-0.14.6-Aar7hKewN999MXzU9kvt2a-ghc8.0.2.so()(64bit)
    libHSmmorph-1.0.9-5bASEvmIkr5CpdAYXwPsn0-ghc8.0.2.so()(64bit)
    libHSmonad-control-1.0.1.0-LQwQ0Hi5p0oAccTfTzbfD5-ghc8.0.2.so()(64bit)
    libHSmonad-logger-0.3.20.2-IR76dfKxbf7DzcklGZVa9y-ghc8.0.2.so()(64bit)
    libHSmonad-loops-0.4.3-ERCN4ZKCeeS5SRhwqXsLBP-ghc8.0.2.so()(64bit)
    libHSmtl-2.2.1-BLKBelFsPB3BoFeSWSOYj6-ghc8.0.2.so()(64bit)
    libHSmwc-random-0.13.5.0-Dp3Ri46ZxJuCFZWIowNqha-ghc8.0.2.so()(64bit)
    libHSnetwork-2.6.3.1-ABFtZSq90Z9BfMXNiqgBoe-ghc8.0.2.so()(64bit)
    libHSold-locale-1.0.0.7-KGBP1BSKxH5GCm0LnZP04j-ghc8.0.2.so()(64bit)
    libHSold-time-1.1.0.3-KWRsMSdY26c2L27Y9n9cyq-ghc8.0.2.so()(64bit)
    libHSparsec-3.1.11-8RyPB3SGixcIZrsPWwkXoj-ghc8.0.2.so()(64bit)
    libHSpath-pieces-0.2.1-IRpJTFkhTfh6f4ss6nLJOw-ghc8.0.2.so()(64bit)
    libHSpretty-1.1.3.3-ghc8.0.2.so()(64bit)
    libHSprimitive-0.6.1.0-6AbSTw9JXz141LE5p6LGH-ghc8.0.2.so()(64bit)
    libHSprocess-1.4.3.0-ghc8.0.2.so()(64bit)
    libHSpsqueues-0.2.4.0-4Hzq0Q7r3u0F6sl6wrvel7-ghc8.0.2.so()(64bit)
    libHSrandom-1.1-9tceXaeYIMZ4JrKq20Egog-ghc8.0.2.so()(64bit)
    libHSresourcet-1.1.9-Ej57FoSD8NQLck5u9CwWz8-ghc8.0.2.so()(64bit)
    libHSsafe-0.3.14-GsbXn9D9F3BDazVNcErzdQ-ghc8.0.2.so()(64bit)
    libHSscientific-0.3.4.10-DA9ONxqejsGCq5hXtyaVFh-ghc8.0.2.so()(64bit)
    libHSsecuremem-0.1.9-9BtpMES6VHn7a7AVmquh53-ghc8.0.2.so()(64bit)
    libHSsemigroups-0.18.2-GvTCUro9Hym1wGKOLNRfUA-ghc8.0.2.so()(64bit)
    libHSsetenv-0.1.1.3-8dEhk6JWvlmCmVyBammSpu-ghc8.0.2.so()(64bit)
    libHSshakespeare-2.0.12.1-24fNuDY9ewh4xOZt5Locij-ghc8.0.2.so()(64bit)
    libHSsimple-sendfile-0.2.25-JJ9zm1wZxYIARxlVa3oQgs-ghc8.0.2.so()(64bit)
    libHSskein-1.0.9.4-1r9hT02ZzU5HeQ9SvXvQV-ghc8.0.2.so()(64bit)
    libHSstm-2.4.4.1-JQn4hNPyYjP5m9AcbI88Ve-ghc8.0.2.so()(64bit)
    libHSstm-chans-3.0.0.4-JX6Y7GVvdkg3BduVhEnPWu-ghc8.0.2.so()(64bit)
    libHSstreaming-commons-0.1.17-I2SeDNkrU8s6ejKTKxBI5F-ghc8.0.2.so()(64bit)
    libHSstringsearch-0.3.6.6-2soGORichTR6reHVhDqKip-ghc8.0.2.so()(64bit)
    libHStagged-0.8.5-1mTloBSoUxv8dqUr8XBGBt-ghc8.0.2.so()(64bit)
    libHStemplate-haskell-2.11.1.0-ghc8.0.2.so()(64bit)
    libHStext-1.2.2.1-FwvWBfkNJh1I1NMMegz0uY-ghc8.0.2.so()(64bit)
    libHStime-1.6.0.1-ghc8.0.2.so()(64bit)
    libHStime-locale-compat-0.1.1.3-3NWht2bntyvDGDNXWNkT1S-ghc8.0.2.so()(64bit)
    libHStransformers-0.5.2.0-ghc8.0.2.so()(64bit)
    libHStransformers-base-0.4.4-GKSs0LKukAL8ymq2naFmrH-ghc8.0.2.so()(64bit)
    libHStransformers-compat-0.5.1.4-IuFogs8HAVUJBWVNMhtssu-ghc8.0.2.so()(64bit)
    libHSunix-2.7.2.1-ghc8.0.2.so()(64bit)
    libHSunix-compat-0.4.3.1-Ausmw6d7KIwA7sl52mzqxC-ghc8.0.2.so()(64bit)
    libHSunix-time-0.3.7-EhnEKT4D7hJajV74Sk5BE-ghc8.0.2.so()(64bit)
    libHSunordered-containers-0.2.7.2-CCGHIBvU8ua1YYN1Bs8HVt-ghc8.0.2.so()(64bit)
    libHSvault-0.3.0.6-1pYzlyo9GuAJ8c8GzUX62f-ghc8.0.2.so()(64bit)
    libHSvector-0.11.0.0-LMwQhhnXj8U3T5Bm1JFxG-ghc8.0.2.so()(64bit)
    libHSvoid-0.7.1-LqmDeLUOUcG8WFzSs4VdFc-ghc8.0.2.so()(64bit)
    libHSwai-3.2.1.1-Lx293U3FyLnDNnL1Yr1RVq-ghc8.0.2.so()(64bit)
    libHSwai-extra-3.0.19.1-1WSFVUQk04xJnkPrsoWWwJ-ghc8.0.2.so()(64bit)
    libHSwai-logger-2.3.0-FOUe7BsfIlX5fHZzP4rGKX-ghc8.0.2.so()(64bit)
    libHSwarp-3.2.13-UD61q2TezUKDvREXleNts-ghc8.0.2.so()(64bit)
    libHSword8-0.1.2-9WDPGCTpW7JJnsiAQavtd1-ghc8.0.2.so()(64bit)
    libHSzlib-0.6.1.2-7negTfm2ujt1gW4wr40MUp-ghc8.0.2.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-yesod-core-devel:
    ghc-devel(yesod-core-1.4.36-2JjZQF4XD3ZCZ6DK9iQYJx)
    ghc-yesod-core-devel
    ghc-yesod-core-devel(x86-64)
    ghc-yesod-core-static

ghc-yesod-core:
    ghc-yesod-core
    ghc-yesod-core(x86-64)
    libHSyesod-core-1.4.36-2JjZQF4XD3ZCZ6DK9iQYJx-ghc8.0.2.so()(64bit)



Unversioned so-files
--------------------
ghc-yesod-core: /usr/lib64/ghc-8.0.2/yesod-core-1.4.36-2JjZQF4XD3ZCZ6DK9iQYJx/libHSyesod-core-1.4.36-2JjZQF4XD3ZCZ6DK9iQYJx-ghc8.0.2.so

Source checksums
----------------
https://hackage.haskell.org/package/yesod-core-1.4.36/yesod-core-1.4.36.tar.gz :
  CHECKSUM(SHA256) this package     : 39baca6e963d09d26473d43255488234ccff6c47b8c464c4636ccea731be505e
  CHECKSUM(SHA256) upstream package : 39baca6e963d09d26473d43255488234ccff6c47b8c464c4636ccea731be505e


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 925993
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 10 Jens Petersen 2017-10-25 04:09:07 EDT
Thanks for reviewing

(In reply to Elliott Sales de Andrade from comment #9)
> - Large documentation must go in a -doc subpackage. Large could be size
>   (~1MB) or number of files.
>   Note: Documentation size is 2273280 bytes in 58 files.

Yes, I can subpackage, but the problem is we currently don't
really support doc subpackaging in the current Fedora Haskell
packaging and macros etc.

ie we don't BR doc subpackages automatically and
we would have to remember to add BR's for them by hand.
Otherwise haddock documentation doesn't properly cross-reference.

My feeling is it should be done all or nothing: maybe we should do all!
But that is should be done when moving to ghc-8.2 say.

So personally I would prefer to waive this, though I acknowledge
that 2MB is relatively largely: I am not sure how big the package is.
Comment 11 Elliott Sales de Andrade 2017-10-25 19:34:53 EDT
I guess I don't really mind either way, the bigger(ish) problem is the package just became outdated.
Comment 13 Elliott Sales de Andrade 2017-10-27 04:38:03 EDT
Looks good to me.
Comment 14 Jens Petersen 2017-11-01 23:51:52 EDT
Thank you, Elliot!  Sorry for the delay.


Hmm, fedrepo-req gives me:

Error: A failure occurred while creating a new issue at https://pagure.io/api/0/releng/fedora-scm-requests/new_issue. The status code was "401". The error was "Invalid or expired token. Please visit https://pagure.io/ to get or renew your API token.".
Comment 16 Gwyn Ciesla 2017-11-02 09:07:29 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-yesod-core

Note You need to log in before you can comment on or make changes to this bug.